Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Interface IConnection

All Known Implementing Classes:
  UlcConnection

public abstract interface IConnection

Interface for client/server connections.

See Also:
  `IRequestFilter`, `IRequestListener`, `UlcConnection`

Method Summary
`void` | `addRequestListener(IRequestListener listener)` Add an IRequestListener that will be notified each time a request is sent or received.
`Request` | `createRequest()` Creates a request.
`IRequestFilter` | `getRequestFilter()` Returns the IRequestFilter object that is currently configured or null.
`java.lang.String` | `getUrlString()` Return the URL of the peer as a string
`boolean` | `receive(Request request)` Receives a request and posts it to the request queue.
`void` | `removeRequestListener(IRequestListener listener)` Remove the previously added IRequestListener
`boolean` | `send(Request request)` Sends a request.
`void` | `setRequestFilter(IRequestFilter filter)` Set the IRequestFilter object that will receive all requests just before they are sent and all requests just after they are recieved.

Method Detail

### addRequestListener

    public void addRequestListener(IRequestListener listener)

  Add an IRequestListener that will be notified each time a request is sent or received.

### createRequest

    public Request createRequest()

  Creates a request. Overridde to define the request to to be created.

### getRequestFilter

    public IRequestFilter getRequestFilter()

  Returns the IRequestFilter object that is currently configured or null.

### getUrlString

    public java.lang.String getUrlString()

  Return the URL of the peer as a string

### receive

    public boolean receive(Request request)

  Receives a request and posts it to the request queue. Every request will be passed to registered receive filters first. Return value: true if request was received false if request was not received (e.g. filtered out)

### removeRequestListener

    public void removeRequestListener(IRequestListener listener)

  Remove the previously added IRequestListener

### send

    public boolean send(Request request)

  Sends a request. Requests are sent asynchronously. Every request will be passed to registered send filters first. Return value: true if request was sent false if request was not sent (e.g. filtered out)

### setRequestFilter

    public void setRequestFilter(IRequestFilter filter)

  Set the IRequestFilter object that will receive all requests just before they are sent and all requests just after they are recieved.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD